Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.meta
Class AbstractManagedType.EntryTypeFilter<X,K,V>

    java.lang.Object
      org.apache.openjpa.persistence.meta.AbstractManagedType.EntryTypeFilter<X,K,V>

All Implemented Interfaces:
  AbstractManagedType.Filter<Attribute<? super X,?>>

Enclosing class:
  AbstractManagedType<X>

    public static final class AbstractManagedType.EntryTypeFilter<X,K,V>

extends Object
implements AbstractManagedType.Filter<Attribute<? super X,?>>

Constructor Summary
`AbstractManagedType.EntryTypeFilter(Class<K> kType, Class<V> vType)`
`AbstractManagedType.EntryTypeFilter(Class<K> kType, Class<V> vType, boolean inverted)`

Method Summary
`AbstractManagedType.EntryTypeFilter<X,K,V>` | `inverse()`
`boolean` | `selects(Attribute<? super X,?> attr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractManagedType.EntryTypeFilter

    public AbstractManagedType.EntryTypeFilter(Class<K> kType,
                                               Class<V> vType)

### AbstractManagedType.EntryTypeFilter

    public AbstractManagedType.EntryTypeFilter(Class<K> kType,
                                               Class<V> vType,
                                               boolean inverted)

Method Detail

### selects

    public boolean selects(Attribute<? super X,?> attr)

  Specified by:
    `selects` in interface `AbstractManagedType.Filter<Attribute<? super X,?>>`

### inverse

    public AbstractManagedType.EntryTypeFilter<X,K,V> inverse()

  Specified by:
    `inverse` in interface `AbstractManagedType.Filter<Attribute<? super X,?>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.